Subject: Re: fruit-bearing Philadenderon
From: [email-masked] (Fingers are for WEINERS!)
Date: 27 May 1994 00:18:57 GMT
Newsgroups: bionet.plants

Fingers are for WEINERS! ([email-masked]) wrote:
: Michael Ballen ([email-masked]) wrote:

: : Has anyone ever heard of a fruit bearing split-leaf Philadenderon? The
Actually, the split-leaf Philodendron is not really a philodendron.  It's 
actually a Monstera Deliciocea. (spelling?)  I've heard the fruit tastes
similar to a mango, but will only grow in the right conditions.  It needs
to be in high humdity and have a temperature of about 75 degrees, so a warm
greenhouse would work great.  =)  Mine hasn't borne fruit yet, so I think it
needs to be a bit older...  I hope this helps.
PS: I HATE the vi editor...  :)
y
: : fruit looks like a green cob of corn.